| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Signals | Public Member Functions | List of all members
Digikam::TrackCorrelator Class Reference
Inheritance diagram for Digikam::TrackCorrelator:

## Classes
class | Correlation
class | CorrelationOptions

## Public Types
enum | CorrelationFlags { CorrelationFlagCoordinates = 1 , CorrelationFlagInterpolated = 2 , CorrelationFlagAltitude = 3 }

## Signals
void | signalAllItemsCorrelated ()
void | signalCorrelationCanceled ()
void | signalItemsCorrelated (const Digikam::TrackCorrelator::Correlation::List &correlatedItems)

## Public Member Functions
| TrackCorrelator (TrackManager *const trackManager, QObject *const parent=nullptr)
void | cancelCorrelation ()
void | correlate (const Correlation::List &itemsToCorrelate, const CorrelationOptions &options)
| GPS-correlate items.